function [fi,C] = aureo(a,b,tol,maxiter)

% Calcula el limite del cociente de los terminos 
% de la sucesion de Fibonacci, con error < tol
% partiendo de a y b

F(1) = a;
F(2) = b;
C(1) = F(2)/F(1);
k = 1;
incr = tol+1;

while incr > tol & k < maxiter
    F(k+2) = F(k)+F(k+1);
    C(k+1) = F(k+2)/F(k+1);
    incr = abs(C(k+1)-C(k));
    k = k+1;
end
fi = C(end);

if incr > tol
    disp('Insuficientes iteraciones')
end