function pr0112(ap)

% jlh, oct-2005

% Grfica de la cicloide
t = linspace(0,2*pi);
x = t-sin(t);
y = 1-cos(t);

% Desarrollo de la cicloide
if ap==1
s = 2*pi/3;
Px = s-sin(s);
Py = 1-cos(s);
Cx = s + cos(t);
Cy = 1 + sin(t);
plot(x,y,Cx,Cy,Px,Py,'*',[0 2*pi],[0 0],'k')
axis equal
end

% Longitud de la cicloide
if ap==2
    lx = diff(x);
    ly = diff(y);
    L = sum(sqrt(lx.^2+ly.^2))
end
% Velocidad de la cicloide
if ap==3
t = linspace(0,2*pi);
x = t-sin(t);
y = 1-cos(t);
    u = linspace(0,2*pi,11);
sx = u-sin(u);
sy = 1-cos(u);
dx = 1-cos(u);
dy = sin(u);
plot(x,y,'r',sx,sy,'.',[0 2*pi],[0 0],'k:')
axis equal
hold on
quiver(sx,sy,dx,dy,0.8)
hold off
end
