%% 4.9 Flujo de un campo vectorial
%
% En este problema se va a calcular el flujo del campo vectorial
% F=sen(x*y) en direccion del vetor unitario de x a traves de la superficie
% de un cilindro orientado sefun el eje z, de altura 2 y radio 5 cuya base
% se apoya sobre el plano z=0.
%
%
% Tema 4, Problema 9.
% Problemas resueltos de Mtodos Numricos
% A. Cordero, J.L. Hueso, E. Martnez, J.R. Torregrosa
% Ed. Thomson


%% 
% 
% Para plantear la solucion de la integral, lo haremos utilizando
% coordenadas cilindricas (r,alpha,z). Ademas hay que calcular la matriz
% jacobaiana asociada.





%% 
%
% Programamos la funcion Simpson3r que realiza integrales triples mediante
% el metodo de Simpson
type Simpson3r;


%%
%
% Ejecutando Simpson3r para 10 subintervalos en cada variable se obtiene:

Simpson3r('f',0,5,0,2*pi,0,2,10,10,10)

%%
%
% La funcion mcarlo3r.m aproxima la integral triple por el metodo de
% Monte-Carlo

type mcarlo3r;

%%
%
% Utilizando esta funcion con 2^k puntos podemos aproximar el flujo. La
% convergencia es muy lenta y el coste computacional elevado.
 
I=mcarlo3r('f',0,5,0,2*pi,0,2,2^10)
 

%%
%
% FIN del Problema 4.9
