function V = diodopf(V)

% Funcin de punto fijo para el probema del diodo

% Parmetros del diodo
C0 = 81e-12;
fi = 0.6;
gamma = 0.44;

% Valor de Q para el que se quiere determinar la tensin.
Q = 1e-10;

% Ecuacin de punto fijo
V = Q/C0*(1+abs(V)/fi).^gamma;