function dy = diodopfd(V)

% Derivada de la funcin de punto fijo para el probema del diodo

% Parmetros del diodo
C0 = 81e-12;
fi = 0.6;
gamma = 0.44;

% Valor de Q para el que se quiere determinar la tensin.
Q = 1e-10;

% Derivada
dy = Q*gamma/(C0*fi)*(1+V/fi).^(gamma-1);