function z = pnval(x,c,a)
% Valor en a del polinomio de interpolacin de (x,y) en la forma de Newton
% p(x)=Cn+1 + Cn(x-x1) + Cn-1(x-x1)(x-x2) +...C1(x-x1)(x-xn)
n = length(c)-1;
z = c(1)*ones(size(a));
for k = 1:n
    z = z.*(a-x(n-k+1))+c(k+1);
end