function [dn, dm] = moscapdf(n, m)

% Direcciones del modelo Plaga-Parsito 

global alfa 

c1 = 0.435;   c2 = 0.002;   c3 = 0.02;
c4 = 6.098;   c5 = 0.3;     c6 = 0.002;


dn = -c1*n - alfa*n + c2*n.*m - c3*n.^2;
dm =  c4*m - alfa*m - c5*n.*m - c6*m.^2;
