function pr0810(apar)

% Problema pr0810

% Problemas resueltos de Mtodos Numricos
% Cordero, Hueso, Martnez, Torregrosa
% Ed. Thomson
%
% jlh, dic-2005


h = [7 10 15 21 27 34 39 43 47 51 55 59 61];
r = [556 369 191 75 26.2 9.9 4.4 2.3 1.4 0.8 0.5 0.33 0.25];
rm = mean(r)
hg = linspace(7,65);
if apar==1|apar==0
    disp(' ')
    disp('Apartado a) Aproximaciones polinmicas')
    disp(' ')
    j=1;ind=0;
    while ind(end)<0.999 & j<6
        p = polyfit(h,r,j)
        rp=polyval(p,h);
        rg=polyval(p,hg);
        E(j) = norm(r-rp)^2
        ind(j) = (norm(rp-rm)/norm(r-rm))^2
        plot(h(6:end),r(6:end),'*',hg,rg)
        pause
        j=j+1;
        P(j,1:j)=p;
        pause
    end
    sprintf('%15.6g',p)
    sprintf('%15.6g',E)
    sprintf('%15.6g',ind)
end

if apar==2|apar==0
    disp(' ')
    disp('Apartado b) Aproximaciones polinmicas del logaritmo')
    disp(' ')
    lr =log(r);
    lrm=mean(lr);
    j=1;ind1=0;ind=0;
    while ind1(end)<0.999 & j<6
        p = polyfit(h,lr,j)
        lrp=polyval(p,h);
        rp = exp(lrp);
        lrg=polyval(p,hg);
        E1(j) = norm(lr-lrp)^2
        ind1(j) = (norm(lrp-lrm)/norm(lr-lrm))^2
        plot(h,lr,'*',hg,lrg)
        title(['Ajuste logaritmico de grado ',num2str(j)])
        pause
        E2(j) = norm(r-rp)^2
        ind(j) = (norm(rp-rm)/norm(r-rm))^2
        plot(h,r,'*',hg,exp(lrg))
        pause
        j=j+1;
        P(j,1:j)=p;
        pause
    end
    sprintf('%15.6g',p)
    sprintf('%15.6g',E2)
    sprintf('%15.6g',ind1)
end
