function [sol,x,incr,k] = pfijo(g,x1,tol,maxiter)

k = 1;
x = x1;
incr = tol+1;
while incr > tol & k <= maxiter
    x(k+1) = feval(g,x(k));
    incr = abs(x(k+1)-x(k));
    k = k+1;
end
if incr > tol
    sol = [ ];
    disp('Insuficientes iteraciones')
else
    sol = x(end);
end