function [sol,x,incr,k] = newton1var(fun,x1,tol,maxiter)

k = 1;
x = x1;
incr = tol+1;
while incr > tol & k <= maxiter
    [y,dy] = feval(fun,x(k));
    delta = -y/dy;
    x(k+1) = x(k) + delta;
    incr = abs(delta);
    k = k+1;
end
if incr > tol
    sol = [ ];
    disp('Diverge o insuficientes iteraciones')
else
    sol = x(end);
end