function I = simpz(x,y)
% I: valor aproximado de la integral por el mtodo de Simpson
% x: vector de nodos de integracin (nmero impar de componentes)
% y: valor de la funcin del integrando en los nodos x

h = diff(x);    
h = h(1);
N = length(y)-1;
p = ones(1,N+1);    
p(2:2:N) = 4;   
p(3:2:N-1) = 2;
I = (h/3)*sum(p.*y);