function x=Crout(a,b,c,d)
% a: diagonal principal de la matriz de coeficientes
% b: subdiagonal de la matriz de coeficientes
% c: superdiagonal de la matriz de coeficientes
% d: trminos independientes del sistema

% Obtencin de las matrices L y U tal que A=LU
n=length(d);
l(1)=a(1);
u(1)=b(1)/l(1);
for i=2:n-1
    l(i)=a(i)-c(i-1)*u(i-1);
    u(i)=b(i)/l(i);
end
l(n)=a(n)-c(n-1)*u(n-1);

% Solucin del sistema Lz=d
z(1)=d(1)/l(1);
for i=2:n
    z(i)=(1/l(i))*(d(i)-c(i-1)*z(i-1));
end

% Solucin del sistema Ux=z
x(n)=z(n);
for i=n-1:-1:1
    x(i)=z(i)-u(i)*x(i+1);
end
