function R=rchpmed(f,a,b,N,tol,maxiter)
%R: tabla de Richardson-puntomedio
h=(b-a)/N;
incre=tol+1;
R(1,1)=puntomedio('f',a,b,N);
k=2;
while incre> tol & k<maxiter N=2*N;
    N=2*N;
    R(k,1)=puntomedio('f',a,b,N);
    for j= 2:k
        R(k,j)=(4^(j-1)*R(k,j-1)-R(k-1,j-1))/(4^(j-1)-1);
    end
    incre=abs(R(k,k)-R(k,k-1));
end
    