function R = Rombz(x,y,tol,maxiter)

h =diff(x);
h=h(1);
N=length(y)-1;
incr = tol+1;
R(1,1) = trapz(x,y);
k = 2;
while incr > tol & k < maxiter
    h = h/2;
    xx = x(1):h:x(end);
    yy = spline(x,y,xx);
    R(k,1) = trapz(xx,yy);
    for j = 2:k
        R(k,j)=(4^(j-1)*R(k,j-1)-R(k-1,j-1))./(4^(j-1)-1);
    end
    incr = abs(R(k,k)-R(k,k-1));
    k = k+1;
end
