function I=Simpson0404(f,a,b,N,tol,maxiter)
%I: vector con las distintas estimaciones de la integral
I= Simpson('f',a,b,N);
k=2;
incr=tol+1;
while k<=maxiter & incr>tol
    h=(b-a)/(10*k);
    x=a:h:b; y=feval('f',x);
    v=2*ones(10*k+1,1);
    v2=2*ones(10*k/2,1);
    v(2:2:10*k)=v(2:2:10*k)+v2; V(1)=1; v(10*k+1)=1;
    p=h/3*v;
    I=[I y*p];
    incr = abs(I(k)-I(k-1));
    k=k+1;
end    

plot(x,y)
legend('funcion a integrar',0)
