function [I,v,k]=prob04053(f,N,maxiter,tol)
R=Romberg('f',1,2,N,tol,maxiter);
[n,m]=size(R);
v(1)=R(n,m);
k=2;
incre=tol+1;
while k < maxiter & incre > tol
    R=Romberg(f,2^(k-1),2^k,N,tol,maxiter);
    [n,m]=size(R);
    v(k)=R(n,m);
    incre=abs(v(k));
    k=k+1;
end
if incre> tol
    disp('Conjetura: La integral es divergente')
else
    I=sum(v);
end    