function I=prob0406(f,a,b,c,d,N)
%Cuadratura de Gauss-Legendre para f(x,y) en [a,b]x[c,d]
% N: cota para el numero de nodos en cada variable
% I: vector con las distintas aproximaciones de la integral
k=1;
I=[];
while k<=N
    n=2*k;  m=2*k;
    [nodosx, pesosx]=NPLegendre(n);
    [nodosy, pesosy]=NPLegendre(m);
    x=((a+b)/2)+((b-a)/2)*nodosx;
    y=((c+d)/2)+((d-c)/2)*nodosy;
    [X,Y]= meshgrid(x,y);
    Z=feval(f,X,Y);
    P=pesosy*pesosx';
    int=((b-a)/2)*((d-c)/2)*sum(sum(P.*Z));
    I=[I,int];
    k=k+1;
end
plot(I);