function [y,dy] = nwbillar(t)
P = [0.6,-0.3]; Q = [-0.6,-0.3];
y1 = (P(1)*sin(t)-P(2)*cos(t));
den1 = sqrt((cos(t)-P(1)).^2+(sin(t)-P(2)).^2);
y1 = y1./den1;
y2 = (Q(1)*sin(t)-Q(2)*cos(t));
den2 = sqrt((cos(t)-Q(1)).^2+(sin(t)-Q(2)).^2); y2 = y2./den2;
y = y1+y2;
dy1 = (P(1)*cos(t)+P(2)*sin(t))./((cos(t)-P(1)).^2+(sin(t)-P(2)).^2).^(1/2);
dy2 = -(P(1)*sin(t)-P(2)*cos(t))./((cos(t)-P(1)).^2+(sin(t)-P(2)).^2).^(3/2)...
    .*(-(cos(t)-P(1)).*sin(t)+(sin(t)-P(2)).*cos(t));
dy3 = (Q(1)*cos(t)+Q(2)*sin(t))./((cos(t)-Q(1)).^2+(sin(t)-Q(2)).^2).^(1/2);
dy4 = -(Q(1)*sin(t)-Q(2)*cos(t))./((cos(t)-Q(1)).^2+(sin(t)-Q(2)).^2).^(3/2)...
    .*(-(cos(t)-Q(1)).*sin(t)+(sin(t)-Q(2)).*cos(t));
dy = dy1+dy2+dy3+dy4;