function I=GaussLegendre(f,a,b,n)
% n: numer maximo de nodos
% I: vector de estimaciones de la integral por Gauss-Legendre
I=[];
for k = 2:n
    [t,c]=NPLegendre(k);
    x=(a+b)/2+((b-a)/2)*t;
    y=feval(f,x);
    int=((b-a)/2)*sum(c.*y);
    I=[I,int];
end
plot(I)