function I = Simpson2r(f,a,b,c,d,n,m)
h = (b-a)/(2*n);    x = a:h:b;
k = (d-c)/(2*m);    y = c:k:d;
[X,Y] = meshgrid(x,y);    % matrices de nodos
Z = feval(f,X,Y);
p = ones(1,2*n+1);  p(2:2:2*n) = 4;     p(3:2:2*n-1) = 2;
q = ones(1,2*m+1);  q(2:2:2*m) = 4;     q(3:2:2*m-1) =2;
P = q'*p;                  %matriz de pesos
I = ((h*k)/9)*sum(sum(P.*Z));
surfc(X,Y,Z)
title('Funcion a integrar')