function [t,y]=eulersis(f,t,yo)

%[t,y]=eulersis(f,t,yo)
%
% Aplica Euler al PVI  y'=f(t,y) con y'(a)=yo
% t nodos de integracin en [a,b]
%
% y solucin aproximada
%
% [t,y]=eulersis('lrc',0:0.3:30,[1,0]);


 % Clculo del numero de estimaciones 
   n = length(t);
   %Paso de integracin
   h = diff(t);
   %Nmero de incognitas
   m=length(yo);
 % Inicializar solucin
    y=zeros(n,m); y(1,:)=yo;
 % Salida: Resto de aproximaciones
    for k=1:n-1
        y(k+1,:)=y(k,:)+h(k)*feval(f,t(k),y(k,:))';
    end
