function dy = presarapaz(t, y)

% Modelo presa-rapaz (conejos, zorros)

% Parametros
a = 0.4; 
b = 0.01; 
g = 0.01; 
d = 0.01;

% Variables
c = y(1);
z = y(2);

% Ecuaciones
dc = a*c - b*c*z;
dz = g*c*z - d*z^2;

% Salida
dy = [dc; dz];
