function A = calor2D(n,m)

% A = calor2D(n,m)
% Matriz de la ecuacin del calor en un rectngulo
% con una malla uniforme con nxm nodos

p = m*n;
v = ones(1,p-1); % Diagonales 1 y -1
v(m:m:p-m) = 0;
w = ones(1,p-m); % Diagonales m y -m
A = -4*eye(p) + diag(v,1) + diag(v,-1) + diag(w,m) + diag(w,-m);
