function [y, x] = factlu(A, b, L, U, P)

[n,n] = size(A);
bn = P*b; % Resolver Ly = Pb
y(1) = bn(1);
S = 0;
for i = 2:n
    y(i) = bn(i)-sum(L(i,1:i-1).*y(1:i-1));
end
x = zeros(1,n); % Resolver Ux = y
x(n) = y(n)/U(n,n);
for i = n-1:-1:1
    x(i) = (y(i)-sum(U(i,i+1:n).*x(i+1:n)))/U(i,i);
end