Se han tomado los tiempos t de ejecucin de un programa de n datos de entrada para diversos valores de n
que se muestran en la siguiente tabla:
n 5 10 15 20 25 30 35 40
t 4 10 17 35 42 67 71 85
a) Clasifica el sistema de ecuaciones que resulta, al intentar calcular el polinomio de grado 2 que pasa por
todos los puntos dados.
b) Construye el sistema de ecuaciones normales para obtener el polinomio de grado 2, que se ajusta a los
datos por mnimos cuadrados. Cul es el nmero de condicin del sistema?
c) Comprueba que el nmero de condicin del sistema de ecuaciones normales se reduce, al expresar el
polinomio, desplazando los datos a la media aritmtica de las abscisas dadas. Representa el polinomio
obtenido junto a los dados.
d) Utiliza los comandos de MATLAB polyfit y \ para obtener directamente los resultados de los apartados
anteriores.
e) Halla el error cuadrtico de las aproximaciones obtenidas mediante polinomios de grados 0 a 7.
RESOLUCI ON
a) Al imponer a un polinomio de grado dos, p2(x) = a1x2 + a2x + a3, que pase por todos los puntos
dados, obtenemos el siguiente sistema de ecuaciones lineales:
??????????? 
52 5 1
102 10 1
152 15 1
202 20 1
252 25 1
302 30 1
352 35 1
402 40 1
????????????
? 
a1
a2
a3
??
=
??????????? 
4
10
17
35
42
67
71
85
????????????
El sistema es sobredeterminado, tiene muchas ms ecuaciones que incgnitas y con gran probabilidad
ser incompatible. En este caso, el rango de A es 3 y el de la matriz ampliada, 4.
n = (5:5:40)';
t = [ 4 10 17 35 42 67 71 85 ]';
A = [ n.^2 n ones(size(n))]; rank(A), rank([A,t])
b) El polinomio que minimiza el error cuadrtico es la solucin del sistema de ecuaciones normales
N = A'*A;
c = A'*t;
cuya expresin matricial es:
? 
5482500 162000 5100
162000 5100 180
5100 180 8 ?
?
? 
a1
a2
a3
??
=?
 
328450
10020
331 ?
?
Resolvemos el sistema: p = N\c obteniendo el polinomio
p2(x) = 0,015952x2 + 1,732143x- 7,767857
El nmero de condicin del sistema se halla mediante cond(N) y es 1,077434107. Bastante elevado
para tratarse de un sistema 3  3, lo que indica que es mal condicionado.
216  ITES-Paraninfo
M?Numericos  2006/5/19  10:36  page 217  #225
Captulo 7 / Teora de Aproximacin
c) Intentamos mejorar la estabilidad del sistema mediante un desplazamiento de los datos.
nm = n-mean(n);
Ad = [nm.^2 nm ones(size(nm))];
Nd = Ad'*Ad;
cd = Ad'*t;
ncond = cond(Nd)
pd = Nd\cd
Ahora la expresin del polinomio es:
pd2(x) = 0,015952(x - 22,5)2 + 2,45(x - 22,5) + 39,281250
y el nmero de condicin es 7,019061  104. Aunque se ha reducido considerablemente, sigue siendo
alto y, por tanto, los resultados pueden no ser fiables. Representamos el polinomio junto a los puntos
dados en la Figura 7.1.
np = linspace(n(1),n(end));
tp = polyval(pd,np-mean(n));
plot(n,t,'*',np,tp)
5 10 15 20 25 30 35 40
0
10
20
30
40
50
60
70
80
90
Figura 7.1 Polinomio mnimo cuadr tico de grado 2
d) Como hemos indicamos en la seccin de teora, al usar el comando \ para un sistema sobredeterminado,
MATLAB da la solucin por mnimos cuadrados. Por tanto, haciendo p = A\t se obtienen los coeficientes
del polinomio mnimo cuadrtico expresado respecto a la base cannica. Ms comodo todava
es p = polyfit(n,t,2), pues no hace falta construir la matriz del sistema.
Del mismo modo, obtenemos el polinomio referido a los datos desplazados con pd =Ad\t o con
pd = polyfit(nm,t,2), si no necesitamos construir la matriz.
e) La expresin del error cuadrtico para el polinomio p(x) ser:
E2 =
8
Xi=1
(p(xi) - yi)2
y los obtenemos con MATLAB, para polinomios de grado 0 a 7, haciendo:
for i = 0:7
p = polyfit(nm,t,i);
E(i+1) = sum((polyval(p,nm)-t).^2)
end
ITES-Paraninfo  217
M?Numericos  2006/5/19  10:36  page 218  #226
Problemas resueltos de Mtodos Numricos
Mostramos los resultados en la Tabla 7.1. Podemos observar que el error cuadrtico se va reduciendo al
aumentar el grado del polinomio, por definicin, al hallar el polinomio que pasa por todos los puntos,
ste ser nulo.
Tabla 7.1 Errores cuadr ticos para las distintas aproximaciones
grado Error cuadrtico grado Error cuadrtico
0 806,734375 4 9,916193
1 18,906250 5 9,105696
2 15,566220 6 7,673405
3 9,940747 7 0,000000
?7.2 El paro registrado en febrero de los ltimos aos, segn datos del INEM se resume en la siguiente tabla:
Ao No de parados
1991 2.362.373
1992 2.337.472
1993 2.471.228
1994 2.774.579
1995 2.575.873
1996 2.427.015
1997 2.262.721
1998 2.067.830
1999 1.783.940
2000 1.659.820
2001 1.598.920
a) Halla la recta de regresin, previa formacin de las ecuaciones normales.
b) Ajusta un polinomio mnimo-cuadrtico de grado 3.
c) Halla el error cuadrtico y el ndice de determinacin del polinomio de grado 3.
d) Estima el nmero de parados en febrero de 2002, de seguir esa tendencia.
e) Obtn el mismo polinomio con polyfit, de tres maneras: a partir de los datos iniciales, centrando las
abscisas y normalizando las mismas. Compara la magnitud relativa de los coeficientes. Genera grficos
con los polinomios obtenidos de cada manera.
RESOLUCI ON
a) Introducimos los datos en vectores columna, los valores de y nmero de parados estn divididos por
106.
x = (1991:2001)';
y = [2.362373; 2.337472; 2.471228; 2.774579; 2.575873; 2.427015; ...
2.262721; 2.067830; 1.783940; 1.659820; 1.598920];
Generamos las ecuaciones normales de la recta de regresin y resolvemos el sistema.
m = length(x);
N = [sum(x.^2), sum(x); sum(x), m];
c = [sum(x.*y); sum(y)];
p = N\c
218  ITES-Paraninfo
M?Numericos  2006/5/19  10:36  page 219  #227
Captulo 7 / Teora de Aproximacin
Obteniendo los coeficientes de la recta P1(x) = -0,093785x+ 189,406601.
La representamos junto a los datos en la Figura 7.2.
yp = polyval(p,x);
plot(x,y,'*',x,yp)
1991 1992 1993 1994 1995 1996 1997 1998 1999 2000 2001
1.4
1.6
1.8
2
2.2
2.4
2.6
2.8
Figura 7.2 Recta de regresin
b) Para determinar el ajuste mnimo-cuadrtico de grado 3, construimos primero la matriz del sistema A,
obtenemos las ecuaciones normales,multiplicandoA y c por la transpuesta de A y resolvemos el sistema
resultante.
A = [x.^3, x.^2, x, x.^0];
N = A'*A;
c = A'*y;
p = N\c
El polinomio cbico tiene la siguiente expresin:
p3(x) = 0,000017x3 - 0,120959x2 + 282,564345x- 215299,644198
El nmero de condicin del sistema es muy elevado, 1,1082791035. El sistema es casi singular. Si calculamos
el nmero de condicin realizando desplazamiento de abscisas a lamedia x, baja a 8558,436611
y el polinomio desplazado se expresa de la forma:
pd3(x) = 0,003287(x- x)3 - 0,020657(x- x)2 - 0,152295(x- x) + 2,417643
En la Figura 7.3, comparamos grficamente los resultados: se aprecia que al ajustar con las abscisas
iniciales se pierde el trmino de grado 3, debido a la diferencia relativa de los valores de los coeficientes
del polinomio.
c) Para calcular el error cuadrtico, utilizamos el polinomio desplazado puesto que es ms estable, lo
evaluamos en las abscisas y lo comparamos con las ordenadas:
yp = polyval(pd,x-mean(x));
E2 = norm(y-yp)^2
E2 = 0.087633
El ndice de determinacin se obtiene, al comparar las desviaciones de las ordenadas calculadas y de las
ordenadas de los datos respecto a su media:
ITES-Paraninfo  219
M?Numericos  2006/5/19  10:36  page 220  #228
Problemas resueltos de Mtodos Numricos
1991 1992 1993 1994 1995 1996 1997 1998 1999 2000 2001
1.4
1.6
1.8
2
2.2
2.4
2.6
2.8
Ajuste de grado 3
Figura 7.3 Ajustes de grado 3 con y sin desplazamiento del origen
ym = mean(y);
I = (norm(yp-ym)/norm(y-ym))^2
I = 0.941108
El valor de I cercano a 1 nos indica que se ha obtenido un buen ajuste.
d) La evaluacin del polinomio en 2002 (previo desplazamiento) estima el nmero de parados de ese ao.
valor_estimado = polyval(pn,2002-xm)
valor_estimado = 1.470219
e) Repetimos los clculos con polyfit. Primero con las abscisas originales: MATLAB avisa de la necesidad
de centrar los datos, aunque el resultado es ms preciso que el obtenido a partir de las ecuaciones
normales. Evaluamos el polinomio para comparar con los otros ajustes.
p = polyfit(x,y,3)
yg = polyval(p,xg);
p = 0.0032871 -1.97038377 39369.9397802 -26221361.210315
Los coeficientes del polinomio ajustado tienen escalas muy diferentes: de 10-4 a 104. Centrando las
abscisas a la media, evitamos el aviso de inestabilidad y obtenemos un polinomio cuyos coeficentes
estn mejor escalados:
p = polyfit(xn,y,3)
ygn = polyval(p,xgn);
p = 0.003287 -0.020657 -0.152296 2.417643
La sintaxis ms compleja de polyfit normaliza las abscisas, proporcionando el polinomio con coeficientes
ms equilibrados.
[p,s,mu] = polyfit(x,y,3)
xgu = (xg-mu(1))/mu(2);
ygu = polyval(p,xgu);
p = 0.119923 -0.227230 -0.505108 2.417643
Los valores de los tres ajustes son suficientemente aproximados para no ser grficamente distinguibles.
La diferencia entre los dos ltimos es del orden de 10-16 y la de stos con el primero, del orden de 10-8.
plot(x,y,'*',xg,yg,xg,ygn,'+',xg,ygu,'o')
max(abs(ygn-yg))
220  ITES-Paraninfo
M?Numericos  2006/5/19  10:36  page 221  #229
Captulo 7 / Teora de Aproximacin
max(abs(ygn-ygu))
ans = 6.146482e-008
ans = 8.881784e-016
?7.3 La siguiente tabla de datos muestra la evolucin de una enfermedad contagiosa, t indica el tiempo en das y
c el nmero de personas contagiadas.
t 0 1 2 3 4 5 6 7
c 1 7,34 51,82 287,66 748,99 956,61 993,89 999,17
a) Halla el ajuste polinmico de menor grado con ndice de determinacin mayor que 0,99. Cul es su
error cuadrtico?
b) Dibuja los datos y el polinomio mnimo cuadrtico. Explica por qu este ajuste no resulta adecuado para
detectar el nmero de contagiados en ms de 7 das.
c) Ajusta los datos a un modelo de crecimiento logstico de la forma:
c =
1
a + be-2t
Compara el error y el comportamiento del ajuste con el caso anterior.
RESOLUCI ON
a) Una vez introducidos los datos,
t = (0:7)';
c = [1 7.34 51.82 287.66 748.99 956.61 993.89 999.17]';
probamos con un polinomio de tercer grado, desplazando las abscisas:
td = t-mean(t);
p = polyfit(td,c,3)
p = -14.300707 -1.226905 311.991540 512.25125
Para hallar el ndice de determinacin, evaluamos el polinomio y comparamos con los datos:
cp = polyval(p,td);
cm = mean(c);
indice = (norm(cp-cm)/norm(c-cm))^2
indice = 0.984787
Aumentamos el grado y comprobamos que para grado 4 el ndice de determinacin es 0,984878, por lo
que seguimos aumentando y comprobamos que el polinomio pedido es el de grado 5.
p = 2.114718 0.274394 -47.783741 -4.735227
410.860898 517.344688
indice = 0.998157
El error cuadrtico ser:
E2 = norm(cp-c)^2
E2 = 2765.668303
b) Evaluamos el polinomio en un vector de tiempos y lo representamos junto a los datos en la Figura 7.4.
tg = (0:.1:7);
cg = polyval(p,tg-mean(t));
plot(t,c,'*',t,cp,'o',tg,cg)
ITES-Paraninfo  221
M?Numericos  2006/5/19  10:36  page 222  #230
Problemas resueltos de Mtodos Numricos
0 1 2 3 4 5 6 7
-200
0
200
400
600
800
1000
1200
Figura 7.4 Polinomio mnimo cuadr tico de grado 5
El ajuste no parece adecuado para obtener el nmero de contagiados en ms de una semana de tiempo,
ya que a diferencia de la tendencia de los datos de la tabla a estabilizarse, p5(x) sigue creciendo, por
ejemplo:
t10 = polyval(p,10-mean(t))
c10 = 14891.951667
c) Para realizar el ajuste de tipo logstico, en primer lugar invertimos los datos
1
c
= a + be-2t
hallamos a y b formando las ecuaciones normales
cn = 1./c;
A = [ones(size(t)) exp(-2*t)]
N = A'*A;
d = A'*cn;
x = N\ d
x = 0.001005 0.998999
Por tanto, el ajuste resulta
c =
1
0,001005+ 0,998999e-2t
Representamos la funcin obtenida en la Figura 7.5.
yg = 1./(x(1)+x(2)*exp(-2*tg));
plot(t,c,'*',tg,yg)
Ahora el error cuadrtico es bastante menor y el ajuste tiende a estabilizarse
y = 1./(x(1)+x(2)*exp(-2*t));
E2 = norm(y-c)^2
c10 = 1./(x(1)+x(2)*exp(-2*10))
E2 = 80.141201
c10 = 994.935684
222  ITES-Paraninfo
M?Numericos  2006/5/19  10:36  page 223  #231
Captulo 7 / Teora de Aproximacin
0 1 2 3 4 5 6 7
0
100
200
300
400
500
600
700
800
900
1000
Figura 7.5 Crecimiento logstico
?7.4 Una compaa ofrece la posibilidad de facturar luz y gas de forma conjunta, el total a pagar se compone
de un trmino fijo (potencia contratada y alquiler de contadores), otra parte proporcional a los kwh de
luz gastados y otra proporcional a los kwh de gas consumidos. La tabla siguiente recoge las consumos
realizados a lo largo de un ao y el total a pagar, que incluye un 16% de IVA.
Luz (kwh) 576 512 496 599 495 572
Gas (kwh) 240 202 175 1595 203 237
Total (Eur) 95,02 87,09 84,30 93,47 85,50 94,49
Determina, a partir de todos los datos de la tabla la cantidad fija por factura y los costes unitarios de kwh
luz y kwh gas.
RESOLUCI ON
El total T de una factura viene dado por la expresin
T = a + bL + cG + 0,16(a + bL + cG) = 1,16(a + bL + cG)
donde L y G son, respectivamente, los kwh de luz y gas consumidos. Se trata de determinar los precios
unitarios a, b y c, a partir de los datos de la tabla. Sustituyendo los datos de cada factura en la expresin
anterior, se obtiene un sistema incompatible. Hallemos la solucin mnimo-cuadrtica con MATLAB. La
matriz del sistema consta de una columna de unos, que corresponden al trmino fijo, la columna de los kwh
de luz consumida y la de los kwh de gas:
L = [576 512 496 599 495 572]';
G = [ 240 202 175 159 203 237]';
A = 1.16*[ones(size(L)) L G]
El trmino independiente es la columna de los precios.
T = [95.02 87.09 84.30 93.47 85.50 94.49 ]'
Premultiplicando por AT se obtienen las ecuaciones normales.
N = A'*A;
c = A'*T;
Resolviendo el sistema, obtenemos la estimacin mnimo cuadrtica de las tarifas aplicadas en la factura.
x = N\c
x = 24.503456 0.082990 0.040021
ITES-Paraninfo  223
M?Numericos  2006/5/19  10:36  page 224  #232
Problemas resueltos de Mtodos Numricos
La potencia contratada y alquiler de contadores cuesta 24,5 euros, el precio del kwh de luz es de 0,08299 y
el de gas cuesta 0,040021.
Con estos datos, podemos estimar el importe de un factura cualquiera en funcin de los consumos. Por
ejemplo, una factura de 500 kwh de luz y 188 kwh de gas costar
1.16*dot([1 500 188],x)
ans = 85.286238
?7.5 Los dispositivos que convierten corriente continua en corriene alterna se denominan inversores. Para analizar
su eficiencia se ha de obtener una aproximacin trigonomtrica de la funcin f(t) = sign(t) en [-, ]
extendida peridicamente, que representa la intensidad de corriente producida. El desarrollo en serie de
Fourier para una funcin de periodo 2 tiene la forma:
f(t) ? a0 +
n
Xk=1
ak cos(kt) + bk sen(kt)
Por ser signo(t) una funcin impar, el trmino constante y los coeficientes en coseno se anulan. Por ser
simtrica respecto a /2, tambin se anulan los trminos en sen(2kt), con lo que queda:
sign(t) ?
n
Xk=1
bk sen((2k - 1)t)
Los coeficientes de Fourier se obtienen mediante integrales, pero pueden aproximarse mediante un ajuste
mnimo-cuadrtico a un nmero relativamente elevado de valores de la funcin.
a) Toma 200 puntos en el intervalo [-, ] para estimar por mnimos cuadrados los coeficientes bk, para
n = 1, 2, 3, 4. Representa la funcin signo junto a las aproximaciones obtenidas y halla el error
cuadrtico medio.
b) Se define la energa total de la funcin f(t) como la integral
E = Z 
- |f(t)|2dt
y la energa del k-simo armnico del desarrollo de Fourier como
Ek = Z 
-
(akcos(kt) + bk sen(kt))2dt =
T
2
(a2
k + b2
k)
donde T es el periodo de la funcin. Comprueba que el desarrollo de Fourier converge en media, es
decir, E = P?k=0 Ek.
RESOLUCI ON
a) Tomamos 200 puntos equiespaciados en [-, ], definimos la matriz A para formar el sistema de ecuaciones
normales correspondiente a la aproximacin de orden 1.
h = 2*pi/199;
t = (-pi:h:pi)';
y = sign(t);
A = [sin(t)];
N = A'*A;
yt = A'*y;
b = N\yt;
yp = A*b;
plot(t,y,t,yp)
224  ITES-Paraninfo
M?Numericos  2006/5/19  10:36  page 225  #233
Captulo 7 / Teora de Aproximacin
-4 -2 0 2 4
-2
-1
0
1
2
aproximacin de orden 1
-4 -2 0 2 4
-2
-1
0
1
2
aproximacin de orden 2
-4 -2 0 2 4
-2
-1
0
1
2
aproximacin de orden 3
-4 -2 0 2 4
-2
-1
0
1
2
aproximacin de orden 4
Figura 7.6 Aproximaciones trigonomtricas
Obtenindose la aproximacin sign(t) ? 1,273213 sen(t), representada en la Figura 7.6.
Ejecutando las instrucciones anteriores con A=[sin(t), sin(3t)], obtenemos la aproximacion
para n = 2, y as sucesivamente, aadiendo columnas a lamatrizA se tienen las estimaciones requeridas.
Para n = 4 la aproximacin de Fourier tiene la expresin:
sign(t) ? b1 sen(t) + b2 sen(3t) + b3 sen(5t) + b4 sen(7t)
siendo el vector b = (1,273213, 0,424334, 0,2545166, 0,181706). Grficamente la mejora se aprecia en
la Figura 7.6.
Los errores cuadrticos medios de las diferentes aproximaciones se obtienen con E2 =
1/200*norm(yp-y)^2 y se muestran en la Tabla 7.2. Puede observarse la mejora de las sucesivas
aproximaciones.
Tabla 7.2 Errores cuadr ticos
n 1 2 3 4
E2 0,193517 0,103937 0,071710 0,055284
b) La energa total de la funcin signo es E = 2 y la de los armnicos se calcula con
F = pi*b.^2
F =
5.092747 0.565673 0.203507 0.103726
Observamos que la mayor parte de la energa se concentra en el primer armnico. Hallamos la energa
de las sumas parciales de los cuatro primeros armnicos y la diferencia de stas con E.
E - cumsum(F)
ans =
1.190439 0.624766 0.421259 0.317533
ITES-Paraninfo  225
M?Numericos  2006/5/19  10:36  page 226  #234
Problemas resueltos de Mtodos Numricos
Estas diferencias miden la aproximacin a la funcin de las sumas parciales del desarrollo de Fourier.
En este ejemplo, la convergencia es lenta debido a la discontinuidad de la funcin signo.
?7.6 La tabla siguiente muestra los valores de la temperatura ambiente medida a distintas horas del da.
Hora 6 8 10 12 14 16 18 20
Grados 7 9 12 18 21 19 15 10
Normaliza las abscisas y ajusta un polinomio mnimo-cuadrtico de cuarto grado por los siguientes procedimientos:
a) Planteando un sistema lineal sobredeterminado y resolviendo directamente las ecuaciones normales.
b) Aplicando previamente la factorizacin QR segn el algoritmo de Gram-Scmidt modificado a la matriz
del sistema.
c) Aplicando el algoritmo qr de MATLAB para obtener la factorizacin.
d) Resolviendo el sistema sobredeterminado mediante la contrabarra, \.
e) Calculando directamente el polinomio mediante polyfit.
RESOLUCI ON
Introducimos los datos en columna y normalizamos las abscisas para que tengan media 0 y desviacin
tpica 1.
t = [6; 8; 10; 12; 14; 16; 18; 20];
y = [7; 9; 12; 18; 21; 19; 15; 10];
m = mean(t);
s = std(t);
x = (t-m)/s;
Obtendremos los coeficientes del polinomio p(x) de grado 4 que mejor aproxima los datos por mnimos
cuadrados.
a) Al imponer que p(xi) = yi, i = 1, 2, . . . , 8, se obtiene el sistema sobredeterminado Ap = y cuya
matriz es:
A = [x.^4 x.^3 x.^2 x x.^0];
Formamos las ecuaciones normales y las resolvemos para obtener los coeficientes del polinomio p(x).
N = A'*A;
c = A'*y;
p = N\c
p = 2.215909 -2.486603 -9.900568 6.020558 19.548828
La Figura 7.7 se genera mediante
tg = linspace(6,20);
xg = (tg-m)/s;
yg = polyval(p,xg);
plot(t,y,'*',tg,yg)
b) Obtenemos la factorizacin QR de A mediante miqr.
[Q,R] = miqr(A)
Q = 0.683938 -0.662552 -0.163250 0.195696 0.042313
0.178035 -0.241455 0.579416 -0.430356 -0.194639
0.023073 -0.052154 0.367639 -0.486269 0.239773
226  ITES-Paraninfo
M?Numericos  2006/5/19  10:36  page 227  #235
Captulo 7 / Teora de Aproximacin
0.000285 -0.001932 0.049685 -0.200099 0.634692
0.000285 0.001932 0.049685 0.200099 0.634692
0.023073 0.052154 0.367639 0.486269 0.239773
0.178035 0.241455 0.579416 0.430356 -0.194639
0.683938 0.662552 -0.163250 -0.195696 0.042313
R = 6.094708 0 3.180981 0 1.770662
0 4.403084 0 2.450933 0
0 0 0.820381 0 1.666979
0 0 0 0.996457 0
0 0 0 0 1.444278
6 8 10 12 14 16 18 20
6
8
10
12
14
16
18
20
22
Figura 7.7 Polinomio mnimo-cuadr tico de grado 4
La solucin mnimo cuadrtica del sistema sobredeterminado Ap = y se obtiene resolviendo el sistema
triangular Rp = QT y.
pb = R\(Q'*y)
pb = 2.215909 -2.486603 -9.900568 6.020558 19.548828
c) Factorizamos ahora A por el algoritmo qr de MATLAB
[Q,R] = qr(A,0)
y la solucin se obtiene como antes
pc = R\(Q'*y)
d) Aplicando la contrabarra al sistema Ap = y, se obtiene el mismo polinomio
pd = A\y
e) Obtenemos ahora el polinomio directamente con polyfit
pe = polyfit(x,y,4)
Comprobamos que, con una precisin de 6 decimales, el resultado es siempre el mismo. Los apartados
c) y e) dan exactamente el mismo resultado, pues polyfit aplica la factorizacin QR a la matriz del
sistema. Las diferencias de valores entre los polinomios de los distintos apartados son del orden de
10-14.
?7.7 La tabla adjunta muestra valores de una seal sinusoidal
y = K sen(t + ')
ITES-Paraninfo  227
M?Numericos  2006/5/19  10:36  page 228  #236
Problemas resueltos de Mtodos Numricos
de la que se quiere estimar la amplitud K y la fase '.
t 0 1,5 3 4,5 6
y -0,0713 -2,1641 0,8403 2,2658 -0,5283
Linealiza el problema y estima los parmetros por mnimos cuadrados.
RESOLUCI ON
La funcin a estimar puede expresarse como y = K(sen t cos' + cos t sen '). Llamando c = K cos'
y s = K sen' obtenemos un problema lineal:
y = c sen t + s cos t (7.3)
Determinamos c y s, resolviendo por mnimos cuadrados el sistema obtenido al sustituir cada par de
datos (tk, yk) en la ecuacin (7.3). Almacenamos los datos en columna:
t = (0:1.5:6)';
y = [-0.0713 -2.1641 0.8403 2.2658 -0.5283]';
Construimos la matriz del sistema y resolvemos las ecuaciones normales:
A = [sin(t) cos(t)];
N = A'*A;
b = A'*y;
sc = N\b
sc = -2.055231 -0.783058
Deshacemos el cambio de variables para obtener la amplitud y la fase de la seal.
K = norm(sc)
K = 2.199354
fi = atan2(sc(2),sc(1))
fi = -2.777566
Evaluamos el resultado en los datos y calculamos el error cuadrtico
yp = A*sc;
E2 = norm(y-yp)^2
E2 = 0.767534
La Figura 7.8 muestra los datos y la funcin ajustada segn los valores obtenidos.
0 1 2 3 4 5 6 7
-2.5
-2
-1.5
-1
-0.5
0
0.5
1
1.5
2
2.5
Figura 7.8 Onda seno ajustada por mnimos cuadrados
228  ITES-Paraninfo
M?Numericos  2006/5/19  10:36  page 229  #237
Captulo 7 / Teora de Aproximacin
?7.8 La tabla adjunta muestra la distribucin de los errores en la medida de 100 piezas salidas de una mquina.
Error -1 -0,8 -0,6 -0,4 -0,2 0 0,2 0,4 0,6 0,8 1
Frec. 4 4 11 10 15 18 16 8 9 4 3
1. Suponiendo que la distribucin es de la forma
y =
1
ax2 + b
donde x es el error e y la frecuencia, determina los parmetros desconocidos a y b por mnimos
cuadrados.
2. Ajusta una distribucin del tipo
y = ke-ax2
3. Cul de los dos modelos explica mejor los datos?
RESOLUCI ON
1. Invirtiendo ambos miembros de la expresin dada, se obtiene un modelo lineal.
1
y
= ax2 + b
Imponiendo que los datos verifiquen este modelo, obtenemos un sistema sobredeterminado Ap = z,
donde
x = (-1:0.2:1)';
y = [4 4 11 10 15 18 16 8 9 2 3]';
A = [x.^2 x.^0];
z = 1./y;
Resolvemos el sistema directamente mediante la contrabarra de MATLAB.
p = A\z
p = 0.2471 0.0553
La funcin ajustada es, por tanto,
z =
1
0,2471x2 + 0,0553
Hallamos el error cuadrtico en trminos de los datos originales:
zp = A*p;
E2 = norm(y-1./zp)^2
E2 = 29.6665
2. Linealizamos el modelo tomando logaritmos.
ln y = ln k - ax2
Usando los datos, construimos un sistema de ecuaciones y lo resolvemos como antes:
A = [x.^0 -x.^2]; z = log(y);
p = A\z
p = 2.6985 1.6086
ITES-Paraninfo  229
M?Numericos  2006/5/19  10:36  page 230  #238
Problemas resueltos de Mtodos Numricos
El ajuste obtenido es:
ln y = 2,6885 - 1,6086x2
Hallamos el error cuadrtico en trminos de los datos originales, quitando logaritmos:
zp = A*p;
E2= norm(y-exp(zp))^2
E2 = 41.7275
3. El menor error cuadrtico obtenido en el apartado a) indica que el ajuste con la funcin racional es
mejor que con la exponencial. La Figura 7.9 confirma esta impresin.
plot(x,y,'*',xg,1./zr,'--',xg,exp(zg),'-.')
legend('Datos','1/(a+bx^2)','Kexp(-ax^2)')
-1 -0.8 -0.6 -0.4 -0.2 0 0.2 0.4 0.6 0.8 1
2
4
6
8
10
12
14
16
18
20
Datos
1/(a+bx2)
Kexp(-ax2)
Figura 7.9 Ajustes de la distribucin de frecuencias
?7.9 Considera los puntos (xi, yi), siendo los xi 200 puntos equiespaciados en el intervalo [0, 5] e yi = erf(xi).
1. Halla el polinomio mnimo-cuadrtico de tercer grado p(x) que ajusta los puntos (xi, yi). Halla la
mxima diferencia entre los valores de la funcin y el polinomio p en dichos puntos. Evala el ndice
de determinacin.
2. Ajusta un modelo de la forma
q(x) = e-x2
(c1x2 + c2x + c3) + c4
Halla la diferencia y el ndice de determinacin como en el apartado anterior.
RESOLUCI ON
1. Generamos las abscisas y evaluamos en ellas la funcin de error.
x = linspace(0,5,200)';
y = erf(x);
Para hallar el polinomio mnimo cuadrtico de grado 3, hacemos
p = polyfit(x,y,3)
obteniendo p(x) ? 0,0357954x3 - 0,343166x2 + 1,02182x + 0,0733301.
230  ITES-Paraninfo
M?Numericos  2006/5/19  10:36  page 231  #239
Captulo 7 / Teora de Aproximacin
Evaluamos el polinomio en las abscisas y hallamos la mxima diferencia con las ordenadas.
yp = polyval(p,x);
max(abs(y-yp))
El resultado es 0,077723. Calculamos ahora el ndice de determinacin.
ym = mean(y);
ind = (norm(yp-ym)/norm(y-ym))^2
obteniendo un valor de 0,977474, o sea, aproximadamente el 98%. La Figura 7.10 muestra el ajuste
realizado.
0 0.5 1 1.5 2 2.5 3 3.5 4 4.5 5
0
0.2
0.4
0.6
0.8
1
1.2
1.4
Figura 7.10 Ajuste polinmico de la funcin y = erf(x)
2. Al imponer que se verifique el modelo
q(x) = e-x2
(c1x2 + c2x + c3) + c4
se obtiene un sistema cuya matriz construimos con MATLAB
ex2 = exp(-x.^2);
A = [x.^2.*ex2 x.*ex2 ex2 x.^0];
Hallando la solucin mnimo-cuadrtica mediante q = A\y, resulta el ajuste
q(x) ? e-x2
(-0,324158x2 + 0,887401x- 0,982159)+ 1,00118
cuya calidad medimos con
yq = ex2.*polyval(q(1:end-1),x) + q(end);
e = max(abs(y-yq));
ind = (norm(yq-ym)/norm(y-ym))^2
obteniendo una diferencia mxima de 0,0190207 y un ndice de determinacin 0,999768, prcticamente
1.
La diferencia de este ajuste con la funcin es muy inferior a la del polinomio del apartado anterior;
las grficas, en este caso, se superponen, debido a que el modelo se adapta mejor a la funcin. En
particular, los polinomios no estn acotados cuando x crece, mientras que la funcin propuesta q(x)
tiene una asntota horizontal, al igual que la funcin dada.
ITES-Paraninfo  231
M?Numericos  2006/5/19  10:36  page 232  #240
Problemas resueltos de Mtodos Numricos
?7.10 La densidad del aire  en g/m3 vara con la altura h en km segn la tabla siguiente:
h 7 10 15 21 27 34 39 43 47 51 55 59 61
 556 369 191 75 26,2 9,9 4,4 2,3 1,4 0,8 0,5 0,33 0,25
a) Aproxima los datos mediante polinomios de grado 1, 2, . . . , hasta que el ndice de determinacin supere
0,999. Calcula el error cuadrtico y representa grficamente el ltimo polinomio obtenido en el intervalo
[30, 65].
b) Aproxima ln  mediante polinomios de grado 1, 2, . . . , hasta que el ndice de determinacin supere
0,999. Deshaz el cambio de variable para hallar el error cuadrtico respecto a los datos originales.
Representa grficamente el ajuste en el mismo intervalo que antes.
RESOLUCI ON
a) Editamos dos vectores con las alturas y las densidades y hallamos la media de stas para su uso posterior.
h = [7 10 15 21 27 34 39 43 47 51 55 59 61];
r = [556 369 191 75 26.2 9.9 4.4 2.3 1.4 0.8 0.5 0.33 0.25];
rm = mean(r);
Dado j = 1, 2, . . ., el polinomio, p, el error cuadrtico, E, y el ndice de determinacin, I, se obtienen
con
p = polyfit(h,r,j);
rp = polyval(p,h);
E = norm(r-rp)^2;
I = (norm(rp-rm)/norm(r-rm))^2;
Los ndices y los errores obtenidos para cada grado son:
Grado 1 2 3 4
Error cuadrtico 139120 33230,8 4209,89 359,125
I
ndice de determinacin 0,624502 0,910307 0,988637 0,999031
El primer ajuste con ndice de determinacin mayor que 0,999 es el de grado 4:
p4(h) = 0,000355043h4 - 0,0616176h3 + 3,93057h2 - 109,744h + 1143,63
30 35 40 45 50 55 60 65
-10
-5
0
5
10
15
20
25
30
35
Figura 7.11 Densidad ajustada por el polinomio mnimo-cuadr tico de grado 4
En la Figura 7.11, se observa que, para valores grandes de h, el polinomio oscila, tomando incluso
valores negativos, lo que carece totalmente de sentido fsico.
232  ITES-Paraninfo
M?Numericos  2006/5/19  10:36  page 233  #241
Captulo 7 / Teora de Aproximacin
b) Los datos necesarios para el ajuste del logaritmo son:
lr = log(r);
lrm = mean(lr);
Procediendo con estos valores como en el apartado anterior resulta que el ajuste de grado 2 tiene el
ndice requerido. El polinomio obtenido es:
q(h) = 0,000369125h2 - 0,171046h+ 7,61761
Calculamos el error cuadrtico respecto a los datos iniciales
lrq = polyval(q,h);
rq = exp(lrq);
E = norm(r-rq)^2;
El error cuadrtico es 5500,62, mayor que el del polinomio ordinario de grado 4, sin embargo, el ajuste
logartmico es ms coherente que el polinmico, pues la funcin resultante es decreciente respecto a h,
como se observa en la Figura 7.12.
30 35 40 45 50 55 60 65
0
2
4
6
8
10
12
14
16
18
Figura 7.12 Ajuste mnimo-cuadr tico de grado 2 de ln 