function [q,r]=miqr(a)

% [q,r]=miqr(a)
%
% Factorizacin de la matriz a en q ortogonal y r triangular superior invertible
% Las columnas de a deben ser independientes

[m,n]=size(a);
for j=1:n
   r(j,j)=norm(a(:,j));
   q(:,j)=a(:,j)/r(j,j);
   for k=j+1:n
      r(j,k)=dot(a(:,k),q(:,j));
      a(:,k)=a(:,k)-r(j,k)*q(:,j);
   end
end
