function [F,dF] = funcion(x)
t = 0:0.5:3;
d = [1.095 -0.1569 -1.0157 -1.474 -1.3616 -0.8342 -0.0135];
u = (d-exp(-x(1).*t)-x(2).*sin(t)).*(t.*exp(-x(1).*t));
v = (d-exp(-x(1).*t)-x(2).*sin(t)).*sin(t);
F(1) = sum(u);
F(2) = sum(v);
w1 = (t.*exp(-x(1).*t)).^2;
w2 = (d-exp(-x(1).*t)-x(2).*sin(t)).*(-t.^2).*exp(-x(1).*t);
w = w1+w2;
dF(1,1) = sum(w);
dF(1,2) = sum([-sin(t).*t.*exp(-x(1).*t)]);
dF(2,1) = sum([sin(t).*t.*exp(-x(1).*t)]);
dF(2,2) = sum([-sin(t).*sin(t)]);
